<?php
namespace common\modules\triggers\components\conditions\conditions;

use common\components\UnisenderAPI;
use common\modules\triggers\components\conditions\vendor\ConditionBase;
use common\modules\triggers\components\conditions\vendor\ConditionInterface;

class CheckEmailToReading extends ConditionBase implements ConditionInterface {
    const CONDITION_ID = 1;

    public $name = 'Письмо было прочтено';

    public $params=[];

    /**
     * @param null|string $conditionName
     * @return $this mixed
     */
    public static function init($conditionName=__CLASS__){
        return parent::init($conditionName);
    }

    /**
     * @param \common\modules\triggers\models\TriggerSchedule $message
     * @return bool
     */
    public function check($message=null, $params = array()){
        if (!is_null($message)) {
            // Создаем объект унисендера
            $sender=new UnisenderAPI();
            // Делаем запрос на получение статуса сообщения
            $sender->getMessageStatuses($message->campaign_id, $message->message_id, $message->email);
            return $sender->isReaded();
        }
        return true;
    }
}